Bug 19767 - serial-issues.pl is unused and should be removed
Summary: serial-issues.pl is unused and should be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-06 19:56 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19767: serial-issues.pl is unused and should be removed (12.37 KB, patch)
2017-12-11 16:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19767: serial-issues.pl is unused and should be removed (12.46 KB, patch)
2017-12-12 17:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19767: serial-issues.pl is unused and should be removed (12.50 KB, patch)
2017-12-13 06:54 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-06 19:56:00 UTC
serial-issues.pl is not linked to from anywhere in Koha, and should be considered obsolete. It and its associated templates should be removed.
Comment 1 Jonathan Druart 2017-12-06 20:00:53 UTC
It would be good to get a confirmation from the list
Comment 2 Owen Leonard 2017-12-11 16:53:52 UTC
Created attachment 69697 [details] [review]
Bug 19767: serial-issues.pl is unused and should be removed

This patch removes three unused files:

serials/serial-issues.pl

...and its associated templates:

koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues-full.tt
koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues.tt

To test, apply the patch and search the Koha codebase for references to
any of those files. None should exist.
Comment 3 Jonathan Druart 2017-12-12 17:30:30 UTC
Created attachment 69747 [details] [review]
Bug 19767: serial-issues.pl is unused and should be removed

This patch removes three unused files:

serials/serial-issues.pl

...and its associated templates:

koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues-full.tt
koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues.tt

To test, apply the patch and search the Koha codebase for references to
any of those files. None should exist.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-12-12 17:30:48 UTC
(In reply to Jonathan Druart from comment #1)
> It would be good to get a confirmation from the list

http://lists.koha-community.org/pipermail/koha-devel/2017-December/044196.html
Comment 5 Josef Moravec 2017-12-13 06:54:59 UTC
Created attachment 69760 [details] [review]
Bug 19767: serial-issues.pl is unused and should be removed

This patch removes three unused files:

serials/serial-issues.pl

...and its associated templates:

koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues-full.tt
koha-tmpl/intranet-tmpl/prog/en/modules/serials/serial-issues.tt

To test, apply the patch and search the Koha codebase for references to
any of those files. None should exist.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2017-12-13 06:55:35 UTC
Removing dead code is always good ;)
Comment 7 Jonathan Druart 2017-12-14 20:17:36 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2017-12-20 13:02:12 UTC
Awesome work all! Pushed to stable for 17.11.01